scala.collection.immutable
class GBTree

[source: `scala/collection/immutable/GBTree.scala`]

@serializable
`protected abstract` `class` GBTree[A, B](`implicit` view$4 : (A) => Ordered[A])
  `extends` AnyRef

  `GBTree` is an internal class used by `Tree`.

Author
  Erik Stenman
Version
  1.0, 2005-01-20

Type Summary
`type` | aNode
`type` | anInsertTree

Method Summary
`abstract def` | apply (key : A) : B
`abstract def` | balance (s : Int) : GBTree[A, B]
`abstract def` | count : (Int, Int) Calculates 2^h, and size, where h is the height of the tree and size is the number of nodes in the tree.
`abstract def` | delete (key : A) : GBTree
`abstract def` | get (key : A) : Option[B]
`abstract def` | insert (key : A, value : B, size : Int) : InsertTree
`abstract def` | isDefinedAt (Key : A) : Boolean
`abstract def` | merge (t : GBTree) : GBTree
`abstract def` | mk_iter (iter_tail : List[GBTree]) : List[GBTree]
`abstract def` | takeSmallest : (A, B, GBTree)
`abstract def` | toList (acc : List[(A, B)]) : List[(A, B)]
`abstract def` | update (key : A, value : B) : GBTree

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Type Details

`` `type` aNode

`` `type` anInsertTree

Method Details

`abstract` `def` count : (Int, Int)

  Calculates 2^h, and size, where h is the height of the tree and size is the number of nodes in the tree.

`abstract` `def` isDefinedAt(Key : A) : Boolean

`abstract` `def` get(key : A) : Option[B]

`abstract` `def` apply(key : A) : B

`abstract` `def` update(key : A, value : B) : GBTree

`abstract` `def` insert(key : A, value : B, size : Int) : InsertTree

`abstract` `def` toList(acc : List[(A, B)]) : List[(A, B)]

`abstract` `def` mk_iter(iter_tail : List[GBTree]) : List[GBTree]

`abstract` `def` delete(key : A) : GBTree

`abstract` `def` merge(t : GBTree) : GBTree

`abstract` `def` takeSmallest : (A, B, GBTree)

`abstract` `def` balance(s : Int) : GBTree[A, B]